<?php
// sauvegarde des paramtres de mes_options
$mes_options_en_memoire = "\n";
if (file_exists("mes_options.php3")){
	$fq=fopen("mes_options.php3","r");
	while (!feof($fq)) {
		$buffer = fgets($fq, 4096);
		if ((ereg("[$][a-zA-Z0-9_]+[= ]+[\"a-zA-Z_]+;" ,$buffer)) && (!ereg("champs_extra" ,$buffer))){
			$mes_options_en_memoire .= $buffer;
		}		
	}
	fclose ($fq);
	$mes_options_en_memoire .= "\n";
}

$extra_en_memoire			=Array();	
$extra_propose_en_memoire	=Array();	

foreach ($_POST as $key=>$value){
	//capture des champs extra 		
	if (ereg("ce_o_(.*)_o_(.*)_o_(.*)",$key,$regs)){
		$structure	=$regs[1];
		$form		=$regs[2];
		$propriete	=$regs[3];	
		$extra_en_memoire[$structure][$form][$propriete]=stripslashes($value);				
	}
	//capture des champs extra propose 
	if (ereg("cep_o_(.*)_o_(.*)",$key,$regs)){
		//ici value correspond au secteur 
		$structure	=$regs[1];
		$form		=$regs[2];
		//assurons nous que la variable ne s'appelle pas nouvelle variable 
		if (strpos($form,"nouvelle_variable")===FALSE){			
			//pour respecter la structure de extra_propose
			if(!isset($extra_propose_en_memoire[$structure][$value])){
				$extra_propose_en_memoire[$structure][$value]=$form;		
			}else{
				$extra_propose_en_memoire[$structure][$value].="|".$form;
			}
		}
	}
	
}

//print_r($extra_propose_en_memoire);
//print_r($extra_en_memoire);
//la representation en memoire est maintenant parfaite pour etre ecrite 
$extra_a_ecrire="Array(\n";
foreach ($extra_en_memoire as $structure=>$tab_structure){
		$extra_a_ecrire.="\t'$structure'=>Array(\n";
		foreach($tab_structure as $tab_form){
			if ($tab_form['var']!=""){
				$extra_a_ecrire.="\t\t\"".$tab_form['var']."\"=>\"".$tab_form['form']."|".$tab_form['filtre']."|".$tab_form['prettyname']."|".$tab_form['default']."|".$tab_form['allowed_vals']."|".$tab_form['labels']."\",\n";
			}
		}
		$extra_a_ecrire.="\t),\n";
}
$extra_a_ecrire.=");\n";

$extra_propose_a_ecrire="Array(\n";
foreach ($extra_propose_en_memoire as $structure=>$tab_structure){
		$extra_propose_a_ecrire.="\t'$structure'=>Array(\n";
		foreach ($tab_structure as $secteur=>$variable_extra){
			$extra_propose_a_ecrire.="\t\t'$secteur'=>'$variable_extra',\n";
		}		
		$extra_propose_a_ecrire.="\t),\n";
}
$extra_propose_a_ecrire.=");\n";

$fp=fopen("mes_options.php3","w");
fwrite($fp,"<?php \n");
fwrite($fp,$mes_options_en_memoire);
fwrite($fp,"\$champs_extra = true; \n");
fwrite($fp,"\$champs_extra_proposes = true; \n\n");
fwrite($fp,"\$GLOBALS['champs_extra'] = ".$extra_a_ecrire."\n");
fwrite($fp,"\$GLOBALS['champs_extra_proposes'] = ".$extra_propose_a_ecrire."\n");
fwrite($fp,"?>");
fclose($fp);	
	
header("Location: interface_mes_options.php3");
?>